<template>
	<main class="mt-36">
		<h2 class="contents-title">Headings</h2>
		<h1>Heading 1</h1>
		<h2>Heading 2</h2>
		<h3>Heading 3</h3>
		<h4>Heading 4</h4>
		<h5>Heading 5</h5>
		<h6>Heading 6</h6>
		<Code :codeText="codeHeadings" />
		<h2 class="contents-title">Headings Style</h2>
		<p class="h1">Text size adjust h1</p>
		<p class="h2">Text size adjust h2</p>
		<p class="h3">Text size adjust h3</p>
		<p class="h4">Text size adjust h4</p>
		<p class="h5">Text size adjust h5</p>
		<p class="h6">Text size adjust h6</p>
		<Code :codeText="codeHeadingsStyle" />
		<ContentFooter />
	</main>
</template>

<script>
export default {
	data() {
		return {
			codeHeadings: `<h1>Heading 1</h1>,
<h2>Heading 2</h2>
<h3>Heading 3</h3>
<h4>Heading 4</h4>
<h5>Heading 5</h5>
<h6>Heading 6</h6>`,
			codeHeadingsStyle: `<p class="h1">Text size adjust h1</p>
<p class="h2">Text size adjust h2</p>
<p class="h3">Text size adjust h3</p>
<p class="h4">Text size adjust h4</p>
<p class="h5">Text size adjust h5</p>
<p class="h6">Text size adjust h6</p>`
		}
	}
}
</script>

<style lang="scss" scoped>
main {
	color: $text;
	width: 100%;
}
</style>
